package kr.co.vividnext.sodalive.live.room

import kr.co.vividnext.sodalive.common.ApiResponse
import kr.co.vividnext.sodalive.common.SodaException
import kr.co.vividnext.sodalive.member.Member
import org.springframework.data.domain.Pageable
import org.springframework.security.core.annotation.AuthenticationPrincipal
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestParam
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/live/room")
class LiveRoomController(private val service: LiveRoomService) {

    @GetMapping
    fun getRoomList(
        @RequestParam timezone: String,
        @RequestParam dateString: String? = null,
        @RequestParam status: LiveRoomStatus,
        @AuthenticationPrincipal(expression = "#this == 'anonymousUser' ? null : member") member: Member?,
        pageable: Pageable
    ) = run {
        if (member == null) throw SodaException("로그인 정보를 확인해주세요.")

        ApiResponse.ok(service.getRoomList(dateString, status, pageable, member, timezone))
    }
}
